## libconfig-simple-perl 4.59

=== debian/changelog ===
libconfig-simple-perl (4.59-7) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Add search.cpan.org back to debian/watch as 4.59 doesn't exist
    on metacpan

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * Remove additional and outdated URL from Upstream-Contact in
    debian/control.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * Simplify BTS URL.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Apply multi-arch hints.
    + libconfig-simple-perl: Add Multi-Arch: foreign.

  [ gregor herrmann ]
  * Backup and restore t/ directory as files get modified by the tests.
    (Closes: #1046938)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Mar 2024 23:58:55 +0100

libconfig-simple-perl (4.59-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 11:51:44 +0100

libconfig-simple-perl (4.59-6) unstable; urgency=low

  * Move to the Debian Perl Group on maintainer's request.
  * debian/control: Added: Vcs-Git field (source stanza). Removed: Vcs-
    Svn field (source stanza). Changed: Maintainer set to Debian Perl
    Group <pkg-perl-maintainers@lists.alioth.debian.org> (was: tony
    mancill <tmancill@debian.org>); tony mancill <tmancill@debian.org>
    moved to Uploaders; Vcs-Browser (source stanza).
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Update patch headers.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update years of packaging copyright, refresh license stanzas.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Set debhelper compatibility level to 8.

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Jun 2012 19:48:41 +0200

libconfig-simple-perl (4.59-5) unstable; urgency=low

  * Replace empty_value.patch (which broke at least publican) with
    empty_string.patch, provided by Raphaël Hertzog - thanks!
    Closes: #593043.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Aug 2010 17:42:18 +0200

libconfig-simple-perl (4.59-4) unstable; urgency=low

  [ gregor herrmann ]
  * Add patch non_word_chars.patch to make the ini-parser work with non "word"
    characters; thanks to Stefan Denker for the bug report (closes: #546534).
  * Change debhelper compatibility level to 7, adjust
    debian/{rules,compat,control}, add ${misc:Depends} to Depends.
  * Don't install README anymore, just a text version of the POD
    documentation.
  * Remove version from perl build dependency, fulfilled even in oldstable.
  * Change my email address.
  * debian/watch: use extended regexp for matching upstream releases.
  * debian/copyright: add information about packaging.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * debian/copyright: update formatting (DEP5) and years of packaging
    copyright.
  * Set Standards-Version to 3.9.1 (no changes).

  [ tony mancill ]
  * debian/control: Update Vcs-Browser link.

 -- tony mancill <tmancill@debian.org>  Thu, 05 Aug 2010 21:23:43 -0700

libconfig-simple-perl (4.59-3) unstable; urgency=low

  * Add Homepage field to debian/control.
  * Change XS-Vcs-* fields to Vcs-*.
  * Change URL in debian/watch.
  * Set Standards-Version to 3.7.3 (no changes needed).
  * debian/rules:
    - move tests to build target
    - use DESTDIR and PREFIX on make install
    - remove some commented out and unsused dh_* calls
    - create install-stamp target
    - remove OPTIMIZE variable, we don't compile anything
    - remove DESTDIR for installing the package
    - use $(CURDIR) instead of `pwd`
  * Change debian/copyright to the new machine-readable format.
  * Remove /usr/lib/perl5 only if it exists; prevents a FTBFS under perl
    5.10.
  * Set debhelper compatibility level to 6.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 22 Jan 2008 17:31:07 +0100

libconfig-simple-perl (4.59-2) unstable; urgency=low

  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Set debhelper compatibility level to 5.
  * Don't ignore errors of ($MAKE) realclean) in debian/rules.
  * Remove empty /usr/lib/perl5 directory from binary package.
  * Enable tests in debian/rules.
  * Fix watch file.
  * Add myself to Uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 13 Aug 2007 20:18:35 +0200

libconfig-simple-perl (4.59-1) unstable; urgency=low

  * New upstream release

 -- tony mancill <tmancill@debian.org>  Mon, 11 Jun 2007 22:07:05 -0700

libconfig-simple-perl (4.58-2) unstable; urgency=low

  * bump standards version to 3.7.2
  * fix build-depends

 -- tony mancill <tmancill@debian.org>  Mon, 11 Jun 2007 21:58:04 -0700

libconfig-simple-perl (4.58-1) unstable; urgency=low

  * new upstream release
    - bug-fix for comment lines with leading spaces
  * added debian/watch

 -- tony mancill <tmancill@debian.org>  Sat, 16 Apr 2005 22:33:15 -0700

libconfig-simple-perl (4.57-1) unstable; urgency=low

  * new upstream release

