=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# test files are changed during tests
# we copy t/ away and move it back afterwards
override_dh_auto_clean:
	dh_auto_clean
	[ ! -d $(CURDIR)/t.save ] || ( $(RM) -r $(CURDIR)/t && mv $(CURDIR)/t.save $(CURDIR)/t )

override_dh_auto_test:
	[ ! -d $(CURDIR)/t ] || cp -r $(CURDIR)/t $(CURDIR)/t.save
	dh_auto_test
