=== debian/watch ===
version=4
https://metacpan.org/release/Config-Simple .*/Config-Simple-v?@ANY_VERSION@@ARCHIVE_EXT@$
